NAME=art-something-about-japan
RM=/bin/rm
TEX=lualatex
BIB=biber
TEXFLAGS=--interaction=nonstopmode --output-directory=./output/
BIBFLAGS=--input-directory=./output --output-directory=./output/

PRINTFORMAT="\033[1;92;49m%s\033[m\n"

.PHONY: all clean

all:
	@mkdir -p output
	@printf ${PRINTFORMAT} "[1/4] First Compilation"
	${TEX} ${TEXFLAGS} ./${NAME}.tex
	@printf ${PRINTFORMAT} "[2/4] Bib Generation"
	${BIB} ${BIBFLAGS} ${NAME}
	@printf ${PRINTFORMAT} "[3/4] Second Compilation"
	${TEX} ${TEXFLAGS} ./${NAME}.tex
	@printf ${PRINTFORMAT} "[4/4] Final Compilation"
	${TEX} ${TEXFLAGS} ./${NAME}.tex

clean:
	${RM} ./output/{*.aux,*.log,*.out,*.blg,*.bcf,*.bbl,*.xml}
